/*
 * Mattermost API Reference
 *
 * There is also a work-in-progress [Postman API reference](https://documenter.getpostman.com/view/4508214/RW8FERUn).
 *
 * The version of the OpenAPI document: 4.0.0
 * Contact: feedback@mattermost.com
 * Generated by: https://openapi-generator.tech
 */

#[derive(Clone, Debug, PartialEq, Default, serde::Serialize, serde::Deserialize)]
pub struct EnvironmentConfigPasswordSettings {
    #[serde(rename = "MinimumLength", skip_serializing_if = "Option::is_none")]
    pub minimum_length: Option<bool>,
    #[serde(rename = "Lowercase", skip_serializing_if = "Option::is_none")]
    pub lowercase: Option<bool>,
    #[serde(rename = "Number", skip_serializing_if = "Option::is_none")]
    pub number: Option<bool>,
    #[serde(rename = "Uppercase", skip_serializing_if = "Option::is_none")]
    pub uppercase: Option<bool>,
    #[serde(rename = "Symbol", skip_serializing_if = "Option::is_none")]
    pub symbol: Option<bool>,
}

impl EnvironmentConfigPasswordSettings {
    pub fn new() -> EnvironmentConfigPasswordSettings {
        EnvironmentConfigPasswordSettings {
            minimum_length: None,
            lowercase: None,
            number: None,
            uppercase: None,
            symbol: None,
        }
    }
}
